/*
 * Copyright (c) 2015 ARM Limited. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SECURITY_H__
#define __SECURITY_H__
 
#include <inttypes.h>
 
#define MBED_DOMAIN "cdedb1bb-b660-47d7-878c-707e144a490c"
#define MBED_ENDPOINT_NAME "16e84a8a-473f-4104-a732-81441f7863bc"
 
const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"
"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"
"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"
"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"
"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"
"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"
"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"
"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"
"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIB0DCCAXOgAwIBAgIEAQ0cxTAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"
"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"
"cNMTcwMjE2MDYxODIwWhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJY2RlZ\r\n"
"GIxYmItYjY2MC00N2Q3LTg3OGMtNzA3ZTE0NGE0OTBjLzE2ZTg0YThhLTQ3M2Yt\r\n"
"NDEwNC1hNzMyLTgxNDQxZjc4NjNiYzEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"
"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"
"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE55eJC5MLmmM81xBylBka2\r\n"
"x0SA3+dRvx2FVnTZjyEgQtACno+E4vt4g0tKoN80a5vmb9G59ZYcKsl/0NRnMS6\r\n"
"4zAMBggqhkjOPQQDAgUAA0kAMEYCIQDiKo9x+8wYVh4JJ/Q0lCuB+d4VfFEMHQQ\r\n"
"vq1ac9ltF+QIhAMG8RwgWd1EgDoUMM2DRIUm4GKj4crxlkzg9nxJaqk0i\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"
"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgp/+rQdUjCtcR0YOM\r\n"
"r+EZHjfqXhYTrjOM2gGVgdjhpS+hRANCAATnl4kLkwuaYzzXEHKUGRrbHRIDf51G\r\n"
"/HYVWdNmPISBC0AKej4Ti+3iDS0qg3zRrm+Zv0bn1lhwqyX/Q1GcxLrj\r\n"
"-----END PRIVATE KEY-----\r\n";
 
#endif //__SECURITY_H__